define({"0":{y:0,u:"../Content/P4Ruby/about.html",l:-1,t:"How to use this guide | P4Ruby",i:0.0501978239366964,a:"How to use this guide This section provides  navigation tips and  information on typographical conventions, feedback options, and additional documentation. Navigation Use following controls to navigate the content in this manual: The arrow buttons   and   at the top of any page bring you to the next ..."},"1":{y:0,u:"../Content/P4Ruby/chapter.ruby.html",l:-1,t:"P4Ruby",i:0.0501978239366964,a:"P4Ruby\n      is an extension to the Ruby programming language that allows you to run\n      Helix Core Server\n      commands from within Ruby scripts, and get the results in a Ruby-friendly\n      format. The main features are: Get\n\tHelix Server\n\tdata and forms in hashes and arrays. Edit\n\tHelix ..."},"2":{y:0,u:"../Content/P4Ruby/ruby.requirements.html",l:-1,t:"System Requirements and Release Notes",i:0.0501978239366964,a:"P4Ruby\n      is supported on Windows, Linux, and OS X. For system requirements, see the P4Ruby Release Notes .  When passing arguments, make sure to omit the space between the argument and its value, such as in the value pair -u and username in the following example: change = ..."},"3":{y:0,u:"../Content/P4Ruby/ruby.installation.html",l:-1,t:"Installing P4Ruby",i:0.0501978239366964,a:"As of version 2015.1, the recommended mechanism for installing\n      P4Ruby\n      is via gems. Outside of Windows, the p4ruby gem installs must be\n      compiled locally against your installation of Ruby. If you can build the\n      core Ruby distribution locally, you likely can install\n      P4Ruby\n ..."},"4":{y:0,u:"../Content/P4Ruby/ruby.programming.html",l:-1,t:"Programming with P4Ruby",i:0.0501978239366964,a:"The following example shows how to create a new client workspace based\n      on an existing template: \nrequire \"P4\"\ntemplate = \"my-client-template\"\nclient_root = \u0027c:\\p4-work\u0027\np4 = P4.new\np4.connect\n\nbegin\n\n    # Run a \"p4 client -t template -o\" and convert it into a Ruby hash\n    spec = ..."},"5":{y:0,u:"../Content/P4Ruby/ruby.classes.html",l:-1,t:"P4Ruby classes",i:0.0544015825914936,a:"The P4 module consists of several public classes: P4 P4Exception P4::DepotFile P4::Revision P4::Integration P4::Map P4::MergeData P4::Message P4::OutputHandler P4::Progress P4::Spec The following tables provide brief details about each public class. P4 The main class used for executing\n      ..."},"6":{y:0,u:"../Content/P4Ruby/ruby.p4.html",l:-1,t:"Class P4",i:0.0544015825914936,a:"Main interface to the\n      Helix Server\n      client API. Each  P4 object provides you with a\n      thread-safe API level interface to\n      Helix Server. The\n      basic model is to: Instantiate your P4 object. Specify your\n\t  Helix Server\n\t  client environment. client host password port user Set ..."},"7":{y:0,u:"../Content/P4Ruby/ruby.p4_exception.html",l:-1,t:"Class P4Exception",i:0.0501978239366964,a:"Shallow subclass of  RuntimeError to be used for\n      catching\n      Helix Server-specific errors.\n      Doesn’t contain any extra information. See P4#errors() and\n      P4#warnings for details of the errors giving rise to the\n      exception. Class Methods None. Instance Methods None."},"8":{y:0,u:"../Content/P4Ruby/ruby.p4_depotfile.html",l:-1,t:"Class P4::DepotFile",i:0.0544015825914936,a:"Description Utility class providing easy access to the attributes of a file in a\n      Helix Server\n      depot. Each  P4::DepotFile object contains summary\n      information about the file, and a list of revisions\n      ( P4::Revision objects) of that file. Currently, only\n      the ..."},"9":{y:0,u:"../Content/P4Ruby/ruby.p4_revision.html",l:-1,t:"Class P4::Revision",i:0.0544015825914936,a:"Description Utility class providing easy access to the revisions of a file in a\n      Helix Server\n      depot.  P4::Revision objects can store basic\n      information about revisions and a list of the integrations for that\n      revision. Created by P4#run_filelog(). Class Methods None. Instance ..."},"10":{y:0,u:"../Content/P4Ruby/ruby.p4_integration.html",l:-1,t:"Class P4::Integration",i:0.0544015825914936,a:"Description Utility class providing easy access to the details of an integration\n      record. Created by P4#run_filelog(). Class Methods None. Instance Methods integ.how -\u003e aString Returns the type of the integration record - how that record was\n      created. integ.file -\u003e aPath Returns the path ..."},"11":{y:0,u:"../Content/P4Ruby/ruby.p4_map.html",l:-1,t:"Class P4::Map",i:0.0544015825914936,a:"Description The  P4::Map class allows users to create and work\n      with\n      Helix Server\n      mappings, without requiring a connection to aHelix Server. Class Methods Map.new ( [ anArray ] ) -\u003e aMap Constructs a new  P4::Map object. Map.join ( map1, map2 ) -\u003e aMap Join two  P4::Map objects and ..."},"12":{y:0,u:"../Content/P4Ruby/ruby.p4_mergedata.html",l:-1,t:"Class P4::MergeData",i:0.0544015825914936,a:"Description Class containing the context for an individual merge during execution of\n      a  p4 resolve. Class Methods None. Instance Methods md.your_name() -\u003e aString Returns the name of \"your\" file in the merge. This is typically a path\n      to a file in the workspace. \np4.run_resolve() do\n  ..."},"13":{y:0,u:"../Content/P4Ruby/ruby.p4_message.html",l:-1,t:"Class P4::Message",i:0.0544015825914936,a:"Description P4::Message objects contain error or other\n      diagnostic messages from the\n      Helix Core Server; retrieve\n      them by using the P4#messages() method. Script writers can test the severity of the messages in order to\n      determine if the server message consisted of command ..."},"14":{y:0,u:"../Content/P4Ruby/ruby.p4_outputhandler.html",l:-1,t:"Class P4::OutputHandler",i:0.0544015825914936,a:"Description The  P4::OutputHandler class is a handler class that\n      provides access to streaming output from the server. After defining the\n      output handler, set P4#handler() to an instance of a\n      subclass of  P4::OutputHandler (or use a\n      p4.with_handler( handler ) block) to enable ..."},"15":{y:0,u:"../Content/P4Ruby/ruby.p4_progress.html",l:-1,t:"Class P4::Progress",i:0.0544015825914936,a:"Description The  P4::Progress class is a handler class that\n      provides access to progress indicators from the server. After defining\n      the output handler, set P4#progress() to an instance of a\n      subclass of  P4::Progress (or use a\n      p4.with_progress( progress ) block) to enable ..."},"16":{y:0,u:"../Content/P4Ruby/ruby.p4_spec.html",l:-1,t:"Class P4::Spec",i:0.0544015825914936,a:"Description The  P4::Spec class is a hash containing key/value\n      pairs for all the fields in a\n      Helix Server\n      form. It provides two things over and above its parent class (Hash): Fieldname validation. Only valid field names may be set in a\n\t P4::Spec object. Note that only the field ..."},"17":{y:0,u:"../Content/Shared/glossary.html",l:-1,t:"Glossary",i:0.0501978239366964,a:"Glossary"},"18":{y:0,u:"../Content/P4Ruby/license.statements.html",l:-1,t:"License Statements",i:0.0501978239366964,a:"License Statements For licensing information for P4Ruby and the third-party software included in this Perforce product, see the P4Ruby License file . "},});